LIBDIR = lib/$(ARCH)
INCDIR = include
BINDIR = bin/$(ARCH)
MAN1DIR = man/man1
MAN3DIR = man/man3

all:
	mkdir -p $(LIBDIR) $(INCDIR) $(BINDIR) $(MAN1DIR) $(MAN3DIR)
	-for i in */; do \
		(cd $$i; test -f Makefile && make install); \
	done

clean:
	-for i in */; do \
		(cd $$i; test -f Makefile && make clean); \
	done
	rm -rf lib include bin man
